@import 'variables';
@import 'font';

input:not([type='checkbox']) {
	appearance: none;
	-webkit-appearance: none !important;
	outline: 0;
}

.form-container {
	height: 100vh;
	display: flex;
	justify-content: center;
	align-items: center;

	.form-content {
		display: flex;
		width: 100%;
		&:not(:last-child) {
			margin-bottom: 2rem;
		}
	}

	.form {
		display: flex;
		flex-direction: column;
		padding: 0 32px;
		flex: 1;
	}

	.form-label {
		display: flex;
		flex-direction: column;
		font-family: 'ofelia-text', sans-serif;
		font-weight: 500;
		font-style: normal;
	}

	.form-select,
	.form-input {
		margin: 10px 0;
		padding: 8px 16px;
		border: 2px solid $green-grass;
		border-radius: 25px;
	}

	.form-select:focus:active,
	.form-input:focus {
		border: 2px solid $green-pastel;
	}

	.form-submit {
		background-color: $green-fluo;
		border: none;
		border-radius: 25px;
		padding: 8px 16px;
		margin: 20px;
		min-width: 150px;
	}

	.form-insert {
		border-left: 1px solid $green-fluo;
	}
}

.group.input.suggestion {
	position: relative;

	.main-suggestion {
		z-index: 1;
		position: relative;
		background-color: transparent;
	}

	.suggestion {
		position: absolute;
		z-index: 0;
		top: 0;
		left: 0;
		opacity: 0.2;
	}
}
